commit:     dada4854eed27c1adb0aa6f8881e5814954c0f78
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  8 00:52:18 2021 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Mon Feb  8 00:52:18 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dada4854

xfce-extra/xfce4-hdaps: new version to fix xfce-4.16 compatibility.

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 xfce-extra/xfce4-hdaps/Manifest                 |  1 +
 xfce-extra/xfce4-hdaps/xfce4-hdaps-1.0.1.ebuild | 39 +++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/xfce-extra/xfce4-hdaps/Manifest b/xfce-extra/xfce4-hdaps/Manifest
index 9c7215eb4d0..f4411ce4376 100644
--- a/xfce-extra/xfce4-hdaps/Manifest
+++ b/xfce-extra/xfce4-hdaps/Manifest
@@ -1 +1,2 @@
 DIST xfce4-hdaps-1.0.0.tar.xz 350888 BLAKE2B 
bc34321f42b0f51a10ef65429cdcf5e3d63f20914aa0c593c004c830932c8a63f194a25b602784527f5da0f74302142ccbcb3ecfc2a677b004b71e5bad4e5ee5
 SHA512 
0efdedbccfe578304e61cccb86936b4d62e9e3de6cb9c3cf7b288983b93bd8388e1b227565ebe354aadbd58fc493b67e5c3fea02bf9dbc1b37b5d2ec419a5d7b
+DIST xfce4-hdaps-1.0.1.tar.xz 351780 BLAKE2B 
466e83fa65281db0cdb75396f84714896b396c6ba08a037df7bc02099a5daeb9cbdc5b012954866a1873b637848a3fe8c1bbde56ea4559f7c60b34053b4451ac
 SHA512 
187daae3422b06f001918f40990bc38ba4de41303390d80b605c2d73b418d6a44e92b5e9f812b090f9d17fd9684b7485be4713f10d9946567a310e71eda8277c

diff --git a/xfce-extra/xfce4-hdaps/xfce4-hdaps-1.0.1.ebuild 
b/xfce-extra/xfce4-hdaps/xfce4-hdaps-1.0.1.ebuild
new file mode 100644
index 00000000000..2c27674053e
--- /dev/null
+++ b/xfce-extra/xfce4-hdaps/xfce4-hdaps-1.0.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit xdg-utils
+
+DESCRIPTION="Show the status of the IBM Hard Drive Active Protection System"
+HOMEPAGE="http://michael.orlitzky.com/code/xfce4-hdaps.xhtml";
+SRC_URI="http://michael.orlitzky.com/code/releases/${P}.tar.xz";
+
+LICENSE="AGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+BDEPEND="dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig"
+DEPEND=">=x11-libs/gtk+-3.20:3
+       x11-libs/libX11
+       >=xfce-base/libxfce4ui-4.14
+       >=xfce-base/libxfce4util-4.14
+       >=xfce-base/xfce4-panel-4.14:="
+RDEPEND="${DEPEND}
+       app-laptop/hdapsd
+       app-laptop/tp_smapi"
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to